org.w3c.dom

## Interface NodeList

- All Known Implementing Classes:
    DecimalFormatProperties, DTMAxisIterNodeList, DTMChildIterNodeList, DTMNodeList, DTMNodeListBase, ElemApplyImport, ElemApplyTemplates, ElemAttribute, ElemAttributeSet, ElemCallTemplate, ElemChoose, ElemComment, ElemCopy, ElemCopyOf, ElemElement, ElemEmpty, ElemExsltFuncResult, ElemExsltFunction, ElemExtensionCall, ElemExtensionDecl, ElemExtensionScript, ElemFallback, ElemForEach, ElemIf, ElemLiteralResult, ElemMessage, ElemNumber, ElemOtherwise, ElemParam, ElemPI, ElemSort, ElemTemplate, ElemTemplateElement, ElemText, ElemTextLiteral, ElemUnknown, ElemUse, ElemValueOf, ElemVariable, ElemVariablePsuedo, ElemWhen, ElemWithParam, KeyDeclaration, NamespaceAlias, NodeSet, OutputProperties, ProcessorCharacters, ProcessorExsltFuncResult, ProcessorExsltFunction, ProcessorImport, ProcessorInclude, ProcessorLRE, ProcessorStylesheetDoc, ProcessorStylesheetElement, ProcessorTemplateElem, ProcessorText, ProcessorUnknown, Stylesheet, StylesheetComposed, StylesheetRoot, UnImplNode, WhiteSpaceInfo, WhitespaceInfoPaths, XSLTElementProcessor

      public interface NodeList

  The `NodeList` interface provides the abstraction of an ordered collection of nodes, without defining or constraining how this collection is implemented. `NodeList` objects in the DOM are live.

  The items in the `NodeList` are accessible via an integral index, starting from 0.

  See also the Document Object Model (DOM) Level 3 Core Specification.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getLength()` The number of nodes in the list.
    `Node` | `item(int index)` Returns the `index`th item in the collection.

- - ### Method Detail

    - #### item

          Node item(int index)

      Returns the `index`th item in the collection. If `index` is greater than or equal to the number of nodes in the list, this returns `null`.
      Parameters:
        `index` - Index into the collection.
      Returns:
        The node at the `index`th position in the `NodeList`, or `null` if that is not a valid index.

    - #### getLength

          int getLength()

      The number of nodes in the list. The range of valid child node indices is 0 to `length-1` inclusive.

Copyright © 2014 Apache XML Project. All Rights Reserved.